aboutsummaryrefslogtreecommitdiffstats
path: root/configure.ac (follow)
Commit message (Collapse)AuthorAgeFilesLines
...
* remove illume modulesMike Blumenkrantz2015-03-181-12/+0
| | | | | | this code is dead. dead code does not belong in master. see devs/discomfitor/e_module-illume2.git
* remove contact moduleMike Blumenkrantz2015-03-181-2/+0
| | | | | | this is dead. dead code does not belong in master. see devs/discomfitor/e_module-contact.git
* __UNUSED__ -> EINA_UNUSEDMike Blumenkrantz2015-03-181-1/+0
| | | | this has been bugging me forever. __UNUSED__ is no longer a valid macro here.
* enlightenment: Bump required Wayland version to 1.7.0Chris Michael2015-03-031-1/+1
| | | | Signed-off-by: Chris Michael <cp.michael@samsung.com>
* build: allow building in pure Wayland mode (no xcb, no ecore-x)Manuel Bachmann2015-02-251-45/+56
| | | | | | | | | | | | | | | | | | | | | | Summary: We should be building Enlightenement with "--enable-wayland-only" even if xcb, ecore-x... are not present. The Evas wayland-shm engine will then be a prerequisite, though. E_Alert being too much X11-oriented, let us disable it completely before it is ported. Also, do not require the X11 rendering engines at runtime. Reviewers: stefan, devilhorns Reviewed By: devilhorns Subscribers: stefan_schmidt, stefan Projects: #enlightenment-git Differential Revision: https://phab.enlightenment.org/D1986
* adapt to new win center trap in 1.13 eflCarsten Haitzler (Rasterman)2015-02-061-1/+1
| | | | also require 1.13 now as we want he win trap h/v info
* change module version name to force module rebuildMike Blumenkrantz2015-01-301-1/+1
| | | | probably will prevent crashes from people who are using older modules with git
* remove access module from buildMike Blumenkrantz2014-12-081-3/+2
| | | | | | | | | this hasn't been updated in over 1.5 years and has caused me to waste time repeatedly fixing build-related issues. in addition, it uses symbols which are no longer even available in efl. if nobody updates/maintains this, it will be removed for e20 release src/modules/access/e_mod_main.c: In function '_cover_new': src/modules/access/e_mod_main.c:765:4: warning: implicit declaration of function 'ecore_x_input_multi_select' [-Wimplicit-function-declaration]
* seems like enlightenment_sys will still fail linkage on freebsd; workaroundq662014-11-211-1/+2
|
* freebsd seems to require both -fPIE and -pie in cflags to compileDaniel Kolesa2014-11-211-0/+5
|
* freebsd: use /usr/sbin/zzz for suspendDaniel Kolesa2014-11-211-1/+2
|
* specialize some sysactions fields for freebsdDaniel Kolesa2014-11-211-0/+10
|
* remove hal detection from build systemDaniel Kolesa2014-11-211-15/+0
|
* bump required efl version for new elm featuresMike Blumenkrantz2014-11-201-1/+1
|
* Revert "Add ecore-wayland flags to the general cflags"Jean-Philippe Andre2014-10-241-1/+0
| | | | | | | | This reverts commit 13194fb4e277e4282833e3be49c1580f787f92d4. Of course this was the wrong fix, as it adds ecore-wayland as a *required* dependency of E. Since there was this other variable "requirements_e" I thought the pkgconfig would be fine. Nope.
* Add ecore-wayland flags to the general cflagsJean-Philippe Andre2014-10-241-0/+1
| | | | My build would break on missing Ecore_Wayland.h otherwise.
* bump required wayland-server version to 1.6.0 for wayland-onlyChris Michael2014-10-141-1/+1
| | | | Signed-off-by: Chris Michael <cp.michael@samsung.com>
* e: Add preferred desktop environment for appsSebastian Dransfeld2014-09-181-1/+1
| | | | | | | | | | | In preferences we show which external applications can be used for setting preferences. If several desktop environments are installed, this list will have several duplicates, as there can be many different apps for setting a preference. With this setting we can filter out for one desktop_environment. @feature
* e: Use same gettext version as efl and elementarySebastian Dransfeld2014-09-181-1/+1
|
* bump versionMike Blumenkrantz2014-09-151-3/+3
|
* unset release modeMike Blumenkrantz2014-09-151-3/+3
| | | | feature freeze is over, have fun
* e19 releasev0.19.0Mike Blumenkrantz2014-09-151-3/+3
|
* only set crazy warning flags when not releasingMike Blumenkrantz2014-09-151-1/+1
|
* Revert "require efl 1.11.2"Tom Hacohen2014-09-121-1/+1
| | | | | | We no longer require 1.11.2. Thank god. This reverts commit 64a601aed80c99ed31e90d5865aa16027dc22b41.
* require efl 1.11.2Mike Blumenkrantz2014-09-101-1/+1
|
* rename E19* defines/texts to just E so they don't need to keep being updatedMike Blumenkrantz2014-09-091-2/+2
|
* configure: Fix naming of E profile configure variable.Stefan Schmidt2014-09-091-1/+1
| | | | | | Looks like a long standing bug to me as we are checking for E19_PROFILE in e_config.c but assign the profile here to E18_PROFILE. It also shows us that nobody is using the option(?) Found thanks to -Wundef.
* add more warning flags to non-release buildsMike Blumenkrantz2014-09-071-1/+5
| | | | apparently we are developers who like to compare doubles incorrectly. this ends now.
* xz is the preferred compression method these days.Igor Murzov2014-09-021-1/+1
| | | | bzip2 is deprecated.
* add -Wmaybe-uninitialized for non-release buildsMike Blumenkrantz2014-08-291-0/+1
|
* added mobile policy moduleGwanglim Lee2014-08-291-0/+1
| | | | | | | | | | | | Summary: mobile policy module provides user interface for small mobile devices like phones. Test Plan: N/A Reviewers: raster, devilhorns, zmike Subscribers: seoz, zmike, cedric Differential Revision: https://phab.enlightenment.org/D817
* unset release modeMike Blumenkrantz2014-08-291-4/+4
|
* rc3v0.19.0-rc3Mike Blumenkrantz2014-08-291-4/+4
|
* require efl 1.11Mike Blumenkrantz2014-08-291-1/+1
|
* added missing libuuid pkg name for wayland optionGwanglim Lee2014-08-261-1/+1
| | | | | | | | | | | | | | Summary: added missing libuuid pkg name to configure.ac Test Plan: autogen.sh --enable-wayland-clients Reviewers: devilhorns, zmike, raster, stefan_schmidt Reviewed By: stefan_schmidt CC: cedric, stefan_schmidt Differential Revision: https://phab.enlightenment.org/D883
* remove pixman dependencyChris Michael2014-08-261-2/+2
| | | | Signed-off-by: Chris Michael <cp.michael@samsung.com>
* autotools: install .pc files to the correct directory on FreeBSDq662014-08-071-0/+5
|
* rename pager16 to pager and pager to pager_plainCarsten Haitzler (Rasterman)2014-08-051-2/+2
| | | | | | | this will mean all users upgrading from e18 to e19 get the new preview pager. thoose wanting the older plain pager can switch ti pager_plain. anyon using git will find pager16 remove (or if still installed not updated) so switch back to pager from pager16. :)
* e18.service -> enlightenment.serviceMike Blumenkrantz2014-07-281-1/+1
|
* e menu - try fix a bug in e apps menu crashes with new efreet apiCarsten Haitzler (Rasterman)2014-07-231-1/+1
| | | | | | | | this fixes T1441 - or tries.. since it's not easily reproduced, this is a try and understanding the problem and being conservative by refcounting until the data is no longer needed. combined with its needed new api's from 356d10fbeefd3f79f3cc848ed266d33e04ac7238 i hope this works.
* remove -fPIC from SUID_CFLAGSMike Blumenkrantz2014-07-191-1/+1
| | | | | | this flag must not be set partially for a project in this way or it will cause build failures on some systems furthermore, it should usually only be set either automatically when required by the build system or by a packager who knows that it is required
* restore freebsd build support by default (sadly, requires legacy edbus)q662014-07-191-4/+13
|
* Fix configure option stringRalph Sennhauser2014-07-051-1/+1
| | | | enightenment-menu is install-enlightenment-menu
* unset release modeMike Blumenkrantz2014-07-031-4/+4
|
* alpha2v0.19.0-alpha2Mike Blumenkrantz2014-07-031-4/+4
|
* unset release stuffMike Blumenkrantz2014-06-041-4/+4
|
* v0.19 alphav0.19.0-alpha1Mike Blumenkrantz2014-06-041-8/+9
| | | | | | IT'S HAPPENING http://media0.giphy.com/media/rl0FOxdz7CcxO/giphy.gif
* completely revert all eo/eolian usageMike Blumenkrantz2014-06-041-6/+0
| | | | | | this was a neat experiment, but apparently it's not going to be usable for a long time in anything outside efl/elm This reverts commits f87b9900faab9686b35f55606ebaf48279fe431f, a49cede7905bf2fac6aba29ffe5686fad27ce211, 81038f8d02a65b5693fad6e8d6a7ef9d229ac2a0, 47cfb31752db02c12aa36020f0c6ddeb931d4b5f.
* config error if you pass --enable-wayland-only or --enable-wayland-clients ↵Gwanglim Lee2014-05-111-2/+1
| | | | | | | | | | | | | | | | | | | | without wayland required packages to avoid later build fail Summary: You can get build error if you don't have required packages for wayland configuration such as pixman-1. I think it would be good to know you about package error at configuration time. Test Plan: 1. change your name of pixman-1.pc file temporarily. 2. also change your name of pixman.h file temporarily. 3. config e with --enable-wayland-clients option 4. make Reviewers: raster, devilhorns, zmike CC: cedric, stefan_schmidt Differential Revision: https://phab.enlightenment.org/D782
* add -lrt checking to e buildCarsten Haitzler (Rasterman)2014-04-251-0/+26
|